package com.ho.business.mapper;

import com.ho.business.entity.GateValue;
import com.ho.business.vo.resp.StatisticsRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @author yule
* @description 针对表【gate_value】的数据库操作Mapper
* @createDate 2022-10-12 08:46:03
* @Entity com.ho.business.entity.GateValue
*/
@Mapper
public interface GateValueMapper {

    int deleteByPrimaryKey(Long id);

    int insert(GateValue record);

    int insertSelective(GateValue record);

    GateValue selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(GateValue record);

    int updateByPrimaryKey(GateValue record);

    List<StatisticsRespVO> getStatisticsList(Map<String, Object> map);
}
